# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# C:\b\abs_4aezuey7an\clone\recipe, last modified Thu Aug  8 15:51:18 2024
# ------------------------------------------------

package:
  name: keras
  version: 3.4.1
source:
  patches:
    - patches/19956_pytorch_2.3_compatibility.patch
  sha256: fc36516fe8eb807480948385bc1ec3b6ebc64fdd963b645ff763d6e30ad72f66
  url: https://github.com/keras-team/keras/archive/refs/tags/v3.4.1.tar.gz
build:
  number: '0'
  script: C:\\b\\abs_4aezuey7an\\croot\\keras_1723128692986\\_h_env\\python.exe -m
    pip install . --no-deps --ignore-installed --no-build-isolation -v
  string: py310haa95532_0
requirements:
  build:
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-patch 2.7.5 2
    - msys2-conda-epoch 20160418 1
  host:
    - bzip2 1.0.8 h2bbff1b_6
    - ca-certificates 2024.7.2 haa95532_0
    - libffi 3.4.4 hd77b12b_1
    - openssl 3.0.14 h827c3e9_0
    - pip 24.0 py310haa95532_0
    - python 3.10.14 he1021f5_1
    - setuptools 72.1.0 py310haa95532_0
    - sqlite 3.45.3 h2bbff1b_0
    - tk 8.6.14 h0416ee5_0
    - tzdata 2024a h04d1e81_0
    - vc 14.2 h2eaa2aa_4
    - vs2015_runtime 14.29.30133 h43f2093_4
    - wheel 0.43.0 py310haa95532_0
    - xz 5.4.6 h8cc25b3_1
    - zlib 1.2.13 h8cc25b3_1
  run:
    - absl-py
    - h5py
    - ml_dtypes
    - namex
    - numpy
    - optree
    - packaging
    - python >=3.10,<3.11.0a0
    - rich
  run_constrained:
    - jax >=0.4.23,<0.5.0a
    - pytorch >=2.1.0
    - tensorflow >=2.17.0,<3.0a
    - torchvision >=0.16.0
test:
  commands:
    - pip check
    - python -c "import os; os.environ['KERAS_BACKEND'] = 'torch'; import keras;"
    - set KERAS_BACKEND=torch
    - python -c "import keras;"
    - python -c "import keras.backend;"
    - python -c "import keras.datasets;"
    - python -c "import keras.layers;"
    - python -c "import keras.utils;"
    - pytest integration_tests/torch_workflow_test.py
    - set KERAS_BACKEND=
  requires:
    - pip
    - pytest
    - pytorch
  source_files:
    - conftest.py
    - integration_tests
    - pyproject.toml
about:
  description: 'Keras 3 is a multi-backend deep learning framework, with support for
    JAX,

    TensorFlow, and PyTorch. Effortlessly build and train models for computer

    vision, natural language processing, audio processing, timeseries forecasting,

    recommender systems, etc.

    '
  dev_url: https://github.com/keras-team/keras
  doc_url: https://keras.io/
  home: https://github.com/keras-team/keras
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: Deep Learning for humans
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 4aea5c48-bf5f-44e3-b807-67e17421fad1
  recipe-maintainers:
    - croth1
    - ericdill
    - jjhelmus
    - mariusvniekerk
    - ocefpaf
  remote_url: git@github.com:AnacondaRecipes/keras-feedstock.git
  sha: 66ce02c606589649b24460e1438a40756d013081
  skip-lints:
    - missing_imports_or_run_test_py
